apiVersion: certmanager.k8s.io/v1alpha1
kind: Certificate
metadata:
  name: $K8S_ENV_SLUG
  namespace: park-finder
  labels:
    app: $K8S_ENV_SLUG
    pipeline_id: "$CI_PIPELINE_ID"
    build_id: "$CI_BUILD_ID"
spec:
  secretName: $K8S_ENV_SLUG
  dnsNames:
  - pre-prod.nrvparks.com
  - $ENVIRONMENT_DOMAIN
  issuerRef:
    name: letsencrypt-html
    kind: ClusterIssuer
  acme:
    config:
    - http01:
        ingressClass: nginx
      domains:
      - pre-prod.nrvparks.com
      - $ENVIRONMENT_DOMAIN